Index: trunk/lib/Hierarchy.inc.php
===================================================================
--- trunk/lib/Hierarchy.inc.php	(revision 124)
+++ trunk/lib/Hierarchy.inc.php	(revision 136)
@@ -2,8 +2,6 @@
 /**
  * Hierarchy.inc.php
- * Code by Strangecode :: www.strangecode.com :: This document contains copyrighted information
- */
-
-/**
+ * code by strangecode :: www.strangecode.com :: this document contains copyrighted information
+ * 
  * Objective: This class provides the tools to organize pieces of data into a
  * hierarchy of nodes. Any form of data (article, product, image) can be
@@ -97,10 +95,12 @@
     function toStringID($child_type=null, $child_id=null)
     {
-        if (!isset($child_type) || !isset($child_id)) {
-            if ($this->node_init) {
-                $child_type =& $this->child_type;
-                $child_id =& $this->child_id;
-            } else {
-                App::logMsg(_("toStringID failed. Arguments not specified properly."), LOG_ERR, __FILE__, __LINE__);
+			$app =& App::getInstance();
+	
+            if (!isset($child_type) || !isset($child_id)) {
+            if ($this->node_init) {
+                $child_type =& $this->child_type;
+                $child_id =& $this->child_id;
+            } else {
+                $app->logMsg(_("toStringID failed. Arguments not specified properly."), LOG_ERR, __FILE__, __LINE__);
                 return false;
             }
@@ -129,8 +129,10 @@
     function toArrayID(&$node)
     {
-        if (preg_match('/^([[:alnum:]]+)__-?([[:digit:]]+)$/', $node, $node_parts)) {
+			$app =& App::getInstance();
+	
+            if (preg_match('/^([[:alnum:]]+)__-?([[:digit:]]+)$/', $node, $node_parts)) {
             return array('node_type' => $node_parts[1], 'node_id' => $node_parts[2]);
         } else {
-            App::logMsg(_("Cannot parse node identifier, not formated correctly."), LOG_ERR, __FILE__, __LINE__);
+            $app->logMsg(_("Cannot parse node identifier, not formated correctly."), LOG_ERR, __FILE__, __LINE__);
             return false;
         }
@@ -147,4 +149,7 @@
     function insertNode($parents, $child_type=null, $child_id=null, $relationship_type=null, $title='')
     {
+		$app =& App::getInstance();
+		$db =& DB::getInstance();
+	
         if (!isset($child_type) || !isset($child_id)) {
             if ($this->node_init) {
@@ -152,5 +157,5 @@
                 $child_id =& $this->child_id;
             } else {
-                App::logMsg(_("insertNode failed. Arguments not specified properly."), LOG_ERR, __FILE__, __LINE__);
+                $app->logMsg(_("insertNode failed. Arguments not specified properly."), LOG_ERR, __FILE__, __LINE__);
                 return false;
             }
@@ -159,6 +164,6 @@
         // Make sure this is not empty and an array, even if it has only one value.
         if ('' == $parents) {
-            App::raiseMsg(sprintf(_("Cannot add node <strong>%s %s</strong>, no parent was specified."), $child_type, $child_id), MSG_ERR, __FILE__, __LINE__);
-            App::logMsg(sprintf(_("Cannot add node <strong>%s %s</strong>, no parent was specified."), $child_type, $child_id), LOG_ERR, __FILE__, __LINE__);
+            $app->raiseMsg(sprintf(_("Cannot add node <strong>%s %s</strong>, no parent was specified."), $child_type, $child_id), MSG_ERR, __FILE__, __LINE__);
+            $app->logMsg(sprintf(_("Cannot add node <strong>%s %s</strong>, no parent was specified."), $child_type, $child_id), LOG_ERR, __FILE__, __LINE__);
             return false;
         } else if (!is_array($parents)) {
@@ -174,11 +179,11 @@
             $parent = $this->toArrayID($parent_string);
             if ($this->nodeExists($child_type, $child_id, $parent['node_type'], $parent['node_id'], $relationship_type)) {
-                App::raiseMsg(sprintf(_("Cannot add node <strong>%s %s</strong> to parent <strong>%s %s</strong>. It already exists there"), $child_type, $child_id, $parent['node_type'], $parent['node_id']), MSG_ERR, __FILE__, __LINE__);
-                App::logMsg(sprintf(_("Cannot add node <strong>%s %s</strong> to parent <strong>%s %s</strong>. It already exists there"), $child_type, $child_id, $parent['node_type'], $parent['node_id']), LOG_ERR, __FILE__, __LINE__);
+                $app->raiseMsg(sprintf(_("Cannot add node <strong>%s %s</strong> to parent <strong>%s %s</strong>. It already exists there"), $child_type, $child_id, $parent['node_type'], $parent['node_id']), MSG_ERR, __FILE__, __LINE__);
+                $app->logMsg(sprintf(_("Cannot add node <strong>%s %s</strong> to parent <strong>%s %s</strong>. It already exists there"), $child_type, $child_id, $parent['node_type'], $parent['node_id']), LOG_ERR, __FILE__, __LINE__);
                 return false;
             }
             if (!$this->nodeExists($parent['node_type'], $parent['node_id'])) {
-                App::raiseMsg(sprintf(_("Cannot add node <strong>%s %s</strong> to nonexistent parent <strong>%s %s</strong>."), $child_type, $child_id, $parent['node_type'], $parent['node_id']), MSG_ERR, __FILE__, __LINE__);
-                App::logMsg(sprintf(_("Cannot add node <strong>%s %s</strong> to nonexistent parent <strong>%s %s</strong>."), $child_type, $child_id, $parent['node_type'], $parent['node_id']), LOG_ERR, __FILE__, __LINE__);
+                $app->raiseMsg(sprintf(_("Cannot add node <strong>%s %s</strong> to nonexistent parent <strong>%s %s</strong>."), $child_type, $child_id, $parent['node_type'], $parent['node_id']), MSG_ERR, __FILE__, __LINE__);
+                $app->logMsg(sprintf(_("Cannot add node <strong>%s %s</strong> to nonexistent parent <strong>%s %s</strong>."), $child_type, $child_id, $parent['node_type'], $parent['node_id']), LOG_ERR, __FILE__, __LINE__);
                 return false;
             }
@@ -188,5 +193,5 @@
         foreach ($parents as $parent_string) {
             $parent = $this->toArrayID($parent_string);
-            DB::query("
+            $db->query("
                 INSERT INTO node_tbl (
                     parent_type,
@@ -197,13 +202,13 @@
                     title
                 ) VALUES (
-                    '" . DB::escapeString($parent['node_type']) . "',
-                    '" . DB::escapeString($parent['node_id']) . "',
-                    '" . DB::escapeString($child_type) . "',
-                    '" . DB::escapeString($child_id) . "',
-                    " . (is_null($relationship_type) ? "NULL" : "'" . DB::escapeString($relationship_type) . "'") . ",
-                    '" . DB::escapeString($title) . "'
+                    '" . $db->escapeString($parent['node_type']) . "',
+                    '" . $db->escapeString($parent['node_id']) . "',
+                    '" . $db->escapeString($child_type) . "',
+                    '" . $db->escapeString($child_id) . "',
+                    " . (is_null($relationship_type) ? "NULL" : "'" . $db->escapeString($relationship_type) . "'") . ",
+                    '" . $db->escapeString($title) . "'
                 )
             ");
-            App::logMsg(sprintf('insertNode: Added node %s %s with parent %s %s.', $child_type, $child_id, $parent['node_type'], $parent['node_id']), LOG_DEBUG, __FILE__, __LINE__);
+            $app->logMsg(sprintf('insertNode: Added node %s %s with parent %s %s.', $child_type, $child_id, $parent['node_type'], $parent['node_id']), LOG_DEBUG, __FILE__, __LINE__);
         }
         return true;
@@ -223,4 +228,7 @@
     function deleteNode($child_type=null, $child_id=null)
     {
+		$app =& App::getInstance();
+		$db =& DB::getInstance();
+	
         if (!isset($child_type) || !isset($child_id)) {
             if ($this->node_init) {
@@ -228,5 +236,5 @@
                 $child_id =& $this->child_id;
             } else {
-                App::logMsg(_("deleteNode failed. Arguments not specified properly."), LOG_ERR, __FILE__, __LINE__);
+                $app->logMsg(_("deleteNode failed. Arguments not specified properly."), LOG_ERR, __FILE__, __LINE__);
                 return false;
             }
@@ -243,10 +251,10 @@
         }
 
-        DB::query("
+        $db->query("
             DELETE FROM node_tbl
-            WHERE child_type = '" . DB::escapeString($child_type) . "'
-            AND child_id = '" . DB::escapeString($child_id) . "'
+            WHERE child_type = '" . $db->escapeString($child_type) . "'
+            AND child_id = '" . $db->escapeString($child_id) . "'
         ");
-        App::logMsg(sprintf('deleteNode: Deleted node %s %s.', $child_type, $child_id), LOG_DEBUG, __FILE__, __LINE__);
+        $app->logMsg(sprintf('deleteNode: Deleted node %s %s.', $child_type, $child_id), LOG_DEBUG, __FILE__, __LINE__);
 
         return true;
@@ -270,10 +278,13 @@
     function moveNode($new_parents=null, $child_type=null, $child_id=null, $relationship_type=null, $title='')
     {
-        if (!isset($child_type) || !isset($child_id)) {
-            if ($this->node_init) {
-                $child_type =& $this->child_type;
-                $child_id =& $this->child_id;
-            } else {
-                App::logMsg(_("moveNode failed. Arguments not specified properly."), LOG_ERR, __FILE__, __LINE__);
+			$app =& App::getInstance();
+			$db =& DB::getInstance();
+
+	        if (!isset($child_type) || !isset($child_id)) {
+            if ($this->node_init) {
+                $child_type =& $this->child_type;
+                $child_id =& $this->child_id;
+            } else {
+                $app->logMsg(_("moveNode failed. Arguments not specified properly."), LOG_ERR, __FILE__, __LINE__);
                 return false;
             }
@@ -282,6 +293,6 @@
         // Make sure this is not empty and an array, even if it has only one value.
         if (empty($new_parents)) {
-            App::raiseMsg(sprintf(_("Cannot move node <strong>%s %s</strong>, no parent was specified."), $child_type, $child_id), MSG_ERR, __FILE__, __LINE__);
-            App::logMsg(sprintf(_("Cannot move node <strong>%s %s</strong>, no parent was specified."), $child_type, $child_id), LOG_ERR, __FILE__, __LINE__);
+            $app->raiseMsg(sprintf(_("Cannot move node <strong>%s %s</strong>, no parent was specified."), $child_type, $child_id), MSG_ERR, __FILE__, __LINE__);
+            $app->logMsg(sprintf(_("Cannot move node <strong>%s %s</strong>, no parent was specified."), $child_type, $child_id), LOG_ERR, __FILE__, __LINE__);
             return false;
         } else if (!is_array($new_parents)) {
@@ -296,11 +307,11 @@
             $parent = $this->toArrayID($parent_string);
             if (!$this->nodeExists($parent['node_type'], $parent['node_id'])) {
-                App::raiseMsg(sprintf(_("Cannot move node <strong>%s %s</strong> to nonexistent parent <strong>%s %s</strong>."), $child_type, $child_id, $parent['node_type'], $parent['node_id']), MSG_ERR, __FILE__, __LINE__);
-                App::logMsg(sprintf(_("Cannot move node <strong>%s %s</strong> to nonexistent parent <strong>%s %s</strong>."), $child_type, $child_id, $parent['node_type'], $parent['node_id']), LOG_ERR, __FILE__, __LINE__);
+                $app->raiseMsg(sprintf(_("Cannot move node <strong>%s %s</strong> to nonexistent parent <strong>%s %s</strong>."), $child_type, $child_id, $parent['node_type'], $parent['node_id']), MSG_ERR, __FILE__, __LINE__);
+                $app->logMsg(sprintf(_("Cannot move node <strong>%s %s</strong> to nonexistent parent <strong>%s %s</strong>."), $child_type, $child_id, $parent['node_type'], $parent['node_id']), LOG_ERR, __FILE__, __LINE__);
                 return false;
             }
             if ($this->isAncestor($child_type, $child_id, $parent['node_type'], $parent['node_id'])) {
-                App::raiseMsg(sprintf(_("Cannot move node <strong>%s %s</strong> to parent <strong>%s %s</strong> because a node cannot have itself as a parent."), $child_type, $child_id, $parent['node_type'], $parent['node_id']), MSG_ERR, __FILE__, __LINE__);
-                App::logMsg(sprintf(_("Cannot move node <strong>%s %s</strong> to parent <strong>%s %s</strong> because a node cannot have itself as a parent."), $child_type, $child_id, $parent['node_type'], $parent['node_id']), LOG_ERR, __FILE__, __LINE__);
+                $app->raiseMsg(sprintf(_("Cannot move node <strong>%s %s</strong> to parent <strong>%s %s</strong> because a node cannot have itself as a parent."), $child_type, $child_id, $parent['node_type'], $parent['node_id']), MSG_ERR, __FILE__, __LINE__);
+                $app->logMsg(sprintf(_("Cannot move node <strong>%s %s</strong> to parent <strong>%s %s</strong> because a node cannot have itself as a parent."), $child_type, $child_id, $parent['node_type'], $parent['node_id']), LOG_ERR, __FILE__, __LINE__);
                 return false;
             }
@@ -309,9 +320,9 @@
         if (empty($title)) {
             // Select the title of the node we are moving, so we can add it again with the same info.
-            $qid = DB::query("
+            $qid = $db->query("
                 SELECT title FROM node_tbl
-                WHERE child_type = '" . DB::escapeString($child_type) . "'
-                AND child_id = '" . DB::escapeString($child_id) . "'
-                AND relationship_type " . (is_null($relationship_type) ? "IS NULL" : "= '" . DB::escapeString($relationship_type) . "'") . "
+                WHERE child_type = '" . $db->escapeString($child_type) . "'
+                AND child_id = '" . $db->escapeString($child_id) . "'
+                AND relationship_type " . (is_null($relationship_type) ? "IS NULL" : "= '" . $db->escapeString($relationship_type) . "'") . "
             ");
             list($title) = mysql_fetch_row($qid);
@@ -319,11 +330,11 @@
 
         // Delete the nodes with the old parents.
-        DB::query("
+        $db->query("
             DELETE FROM node_tbl
-            WHERE child_type = '" . DB::escapeString($child_type) . "'
-            AND child_id = '" . DB::escapeString($child_id) . "'
-            AND relationship_type " . (is_null($relationship_type) ? "IS NULL" : "= '" . DB::escapeString($relationship_type) . "'") . "
+            WHERE child_type = '" . $db->escapeString($child_type) . "'
+            AND child_id = '" . $db->escapeString($child_id) . "'
+            AND relationship_type " . (is_null($relationship_type) ? "IS NULL" : "= '" . $db->escapeString($relationship_type) . "'") . "
         ");
-        App::logMsg(sprintf('moveNode: Deleted node %s %s.', $child_type, $child_id), LOG_DEBUG, __FILE__, __LINE__);
+        $app->logMsg(sprintf('moveNode: Deleted node %s %s.', $child_type, $child_id), LOG_DEBUG, __FILE__, __LINE__);
 
         // Insert new nodes with the new parents.
@@ -344,4 +355,7 @@
     function getParents($child_type=null, $child_id=null, $type_constraint=null, $order='')
     {
+		$app =& App::getInstance();
+		$db =& DB::getInstance();
+	
         if (!isset($child_type) || !isset($child_id)) {
             if ($this->node_init) {
@@ -349,5 +363,5 @@
                 $child_id =& $this->child_id;
             } else {
-                App::logMsg(_("getParents failed. Arguments not specified properly."), LOG_ERR, __FILE__, __LINE__);
+                $app->logMsg(_("getParents failed. Arguments not specified properly."), LOG_ERR, __FILE__, __LINE__);
                 return false;
             }
@@ -359,14 +373,14 @@
                 $type_constraint = array($type_constraint);
             }
-            $in_clause = "AND parent_type IN ('" . join("','", array_map(array('DB', 'escapeString'), $type_constraint)) . "')";
-        }
-
-        $qid = DB::query("
+            $in_clause = "AND parent_type IN ('" . join("','", array_map(array($db, 'escapeString'), $type_constraint)) . "')";
+        }
+
+        $qid = $db->query("
             SELECT parent_type, parent_id
             FROM node_tbl
-            WHERE child_type = '" . DB::escapeString($child_type) . "'
-            AND child_id = '" . DB::escapeString($child_id) . "'
+            WHERE child_type = '" . $db->escapeString($child_type) . "'
+            AND child_id = '" . $db->escapeString($child_id) . "'
             $in_clause
-            " . DB::escapeString($order) . "
+            " . $db->escapeString($order) . "
         ");
 
@@ -392,4 +406,7 @@
     function getNode($child_type=null, $child_id=null)
     {
+		$app =& App::getInstance();
+		$db =& DB::getInstance();
+	
         if (!isset($child_type) || !isset($child_id)) {
             if ($this->node_init) {
@@ -397,14 +414,14 @@
                 $child_id =& $this->child_id;
             } else {
-                App::logMsg(_("getNode failed. Arguments not specified properly."), LOG_ERR, __FILE__, __LINE__);
-                return false;
-            }
-        }
-
-        $qid = DB::query("
+                $app->logMsg(_("getNode failed. Arguments not specified properly."), LOG_ERR, __FILE__, __LINE__);
+                return false;
+            }
+        }
+
+        $qid = $db->query("
             SELECT child_type, child_id, title, subnode_quantity
             FROM node_tbl
-            WHERE child_type = '" . DB::escapeString($child_type) . "'
-            AND child_id = '" . DB::escapeString($child_id) . "'
+            WHERE child_type = '" . $db->escapeString($child_type) . "'
+            AND child_id = '" . $db->escapeString($child_id) . "'
         ");
 
@@ -433,4 +450,7 @@
     function getChildren($child_type=null, $child_id=null, $type_constraint=null, $order='')
     {
+		$app =& App::getInstance();
+		$db =& DB::getInstance();
+	
         if (!isset($child_type) || !isset($child_id)) {
             if ($this->node_init) {
@@ -438,5 +458,5 @@
                 $child_id =& $this->child_id;
             } else {
-                App::logMsg(_("getChildren failed. Arguments not specified properly."), LOG_ERR, __FILE__, __LINE__);
+                $app->logMsg(_("getChildren failed. Arguments not specified properly."), LOG_ERR, __FILE__, __LINE__);
                 return false;
             }
@@ -448,14 +468,14 @@
                 $type_constraint = array($type_constraint);
             }
-            $in_clause = "AND child_type IN ('" . join("','", array_map(array('DB', 'escapeString'), $type_constraint)) . "')";
-        }
-
-        $qid = DB::query("
+            $in_clause = "AND child_type IN ('" . join("','", array_map(array($db, 'escapeString'), $type_constraint)) . "')";
+        }
+
+        $qid = $db->query("
             SELECT *
             FROM node_tbl
-            WHERE parent_type = '" . DB::escapeString($child_type) . "'
-            AND parent_id = '" . DB::escapeString($child_id) . "'
+            WHERE parent_type = '" . $db->escapeString($child_type) . "'
+            AND parent_id = '" . $db->escapeString($child_id) . "'
             $in_clause
-            " . DB::escapeString($order) . "
+            " . $db->escapeString($order) . "
         ");
 
@@ -482,4 +502,7 @@
     function getNumberChildren($child_type=null, $child_id=null, $type_constraint=null)
     {
+		$app =& App::getInstance();
+		$db =& DB::getInstance();
+
         if (!isset($child_type) || !isset($child_id)) {
             if ($this->node_init) {
@@ -487,5 +510,5 @@
                 $child_id =& $this->child_id;
             } else {
-                App::logMsg(_("getNumberChildren failed. Arguments not specified properly."), LOG_ERR, __FILE__, __LINE__);
+                $app->logMsg(_("getNumberChildren failed. Arguments not specified properly."), LOG_ERR, __FILE__, __LINE__);
                 return false;
             }
@@ -497,12 +520,12 @@
                 $type_constraint = array($type_constraint);
             }
-            $in_clause = "AND child_type IN ('" . join("','", array_map(array('DB', 'escapeString'), $type_constraint)) . "')";
-        }
-
-        $qid = DB::query("
+            $in_clause = "AND child_type IN ('" . join("','", array_map(array($db, 'escapeString'), $type_constraint)) . "')";
+        }
+
+        $qid = $db->query("
             SELECT COUNT(*)
             FROM node_tbl
-            WHERE parent_type = '" . DB::escapeString($child_type) . "'
-            AND parent_id = '" . DB::escapeString($child_id) . "'
+            WHERE parent_type = '" . $db->escapeString($child_type) . "'
+            AND parent_id = '" . $db->escapeString($child_id) . "'
             $in_clause
         ");
@@ -520,4 +543,6 @@
     function isLeaf($child_type=null, $child_id=null)
     {
+		$app =& App::getInstance();
+	
         if (!isset($child_type) || !isset($child_id)) {
             if ($this->node_init) {
@@ -525,5 +550,5 @@
                 $child_id =& $this->child_id;
             } else {
-                App::logMsg(_("isLeaf failed. Arguments not specified properly."), LOG_ERR, __FILE__, __LINE__);
+                $app->logMsg(_("isLeaf failed. Arguments not specified properly."), LOG_ERR, __FILE__, __LINE__);
                 return false;
             }
@@ -579,12 +604,14 @@
     function getAllAncestors($child_type, $child_id, $go_linear=false, $_return_flag=true)
     {
+		$db =& DB::getInstance();
+	
         static $output = array();
         static $return_flag;
 
-        $qid = DB::query("
+        $qid = $db->query("
             SELECT parent_type, parent_id, child_type, child_id, title, subnode_quantity
             FROM node_tbl
-            WHERE child_type = '" . DB::escapeString($child_type) . "'
-            AND child_id = '" . DB::escapeString($child_id) . "'
+            WHERE child_type = '" . $db->escapeString($child_type) . "'
+            AND child_id = '" . $db->escapeString($child_id) . "'
         ");
         while ($row = mysql_fetch_assoc($qid)) {
@@ -631,4 +658,7 @@
     function nodeExists($child_type=null, $child_id=null, $parent_type=null, $parent_id=null, $relationship_type=null)
     {
+		$app =& App::getInstance();
+		$db =& DB::getInstance();
+	
         if (!isset($child_type) || !isset($child_id)) {
             if ($this->node_init) {
@@ -636,5 +666,5 @@
                 $child_id =& $this->child_id;
             } else {
-                App::logMsg(_("nodeExists failed. Arguments not specified properly."), LOG_ERR, __FILE__, __LINE__);
+                $app->logMsg(_("nodeExists failed. Arguments not specified properly."), LOG_ERR, __FILE__, __LINE__);
                 return false;
             }
@@ -642,17 +672,17 @@
 
         if (isset($parent_type) && isset($parent_id)) {
-            $qid = DB::query("
+            $qid = $db->query("
                 SELECT 1 FROM node_tbl
-                WHERE parent_type = '" . DB::escapeString($parent_type) . "'
-                AND parent_id = '" . DB::escapeString($parent_id) . "'
-                AND child_type = '" . DB::escapeString($child_type) . "'
-                AND child_id = '" . DB::escapeString($child_id) . "'
-                AND relationship_type " . (is_null($relationship_type) ? "IS NULL" : "= '" . DB::escapeString($relationship_type) . "'") . "
+                WHERE parent_type = '" . $db->escapeString($parent_type) . "'
+                AND parent_id = '" . $db->escapeString($parent_id) . "'
+                AND child_type = '" . $db->escapeString($child_type) . "'
+                AND child_id = '" . $db->escapeString($child_id) . "'
+                AND relationship_type " . (is_null($relationship_type) ? "IS NULL" : "= '" . $db->escapeString($relationship_type) . "'") . "
             ");
         } else {
-            $qid = DB::query("
+            $qid = $db->query("
                 SELECT 1 FROM node_tbl
-                WHERE child_type = '" . DB::escapeString($child_type) . "'
-                AND child_id = '" . DB::escapeString($child_id) . "'
+                WHERE child_type = '" . $db->escapeString($child_type) . "'
+                AND child_id = '" . $db->escapeString($child_id) . "'
             ");
         }
@@ -680,4 +710,6 @@
     function &getNodeList($preselected=null, $child_type=null, $child_id=null, $type_constraint=null, $include_curr=false, $order='', $_indent=0, $_return_flag=true)
     {
+		$app =& App::getInstance();
+	
         static $output = array();
         static $is_a_leaf = array();
@@ -688,5 +720,5 @@
                 $child_id =& $this->child_id;
             } else {
-                App::logMsg(_("getNodeList failed. Arguments not specified properly."), LOG_ERR, __FILE__, __LINE__);
+                $app->logMsg(_("getNodeList failed. Arguments not specified properly."), LOG_ERR, __FILE__, __LINE__);
                 return false;
             }
@@ -709,5 +741,5 @@
                 // Preventing circular references.
                 if ($my_children[$i]['child_type'] == $child_type && $my_children[$i]['child_id'] == $child_id && !($_return_flag && $include_curr)) {
-                    App::logMsg(sprintf(_("Circular reference detected: %s has itself as a parent."), $this->toStringID($my_children[$i]['child_type'], $my_children[$i]['child_id'])), LOG_ERR, __FILE__, __LINE__);
+                    $app->logMsg(sprintf(_("Circular reference detected: %s has itself as a parent."), $this->toStringID($my_children[$i]['child_type'], $my_children[$i]['child_id'])), LOG_ERR, __FILE__, __LINE__);
                     continue;
                 }
@@ -751,9 +783,11 @@
     function rebuildSubnodeQty($type_constraint=null)
     {
+		$db =& DB::getInstance();
+	
         // Reset all the category counters to zero.
-        DB::query("UPDATE node_tbl SET subnode_quantity = 0");
+        $db->query("UPDATE node_tbl SET subnode_quantity = 0");
 
         // Get all the nodes.
-        $qid = DB::query("SELECT DISTINCT child_type, child_id FROM node_tbl");
+        $qid = $db->query("SELECT DISTINCT child_type, child_id FROM node_tbl");
 
         // For each node count the number of children...
@@ -773,15 +807,17 @@
     function setSubnodeQtyToParents($child_type, $child_id, $num_children)
     {
-        DB::query("
+		$db =& DB::getInstance();
+	
+        $db->query("
             UPDATE node_tbl
-            SET subnode_quantity = subnode_quantity + '" . DB::escapeString($num_children) . "'
-            WHERE child_type = '" . DB::escapeString($child_type) . "'
-            AND child_id = '" . DB::escapeString($child_id) . "'
+            SET subnode_quantity = subnode_quantity + '" . $db->escapeString($num_children) . "'
+            WHERE child_type = '" . $db->escapeString($child_type) . "'
+            AND child_id = '" . $db->escapeString($child_id) . "'
         ",false);
-        $qid = DB::query("
+        $qid = $db->query("
             SELECT parent_type, parent_id
             FROM node_tbl
-            WHERE child_type = '" . DB::escapeString($child_type) . "'
-            AND child_id = '" . DB::escapeString($child_id) . "'
+            WHERE child_type = '" . $db->escapeString($child_type) . "'
+            AND child_id = '" . $db->escapeString($child_id) . "'
         ",false);
         while ((list($parent_type, $parent_id) = mysql_fetch_row($qid)) && $parent_id > 0) {
Index: trunk/lib/Image.inc.php
===================================================================
--- trunk/lib/Image.inc.php	(revision 124)
+++ trunk/lib/Image.inc.php	(revision 136)
@@ -2,5 +2,6 @@
 /**
  * Image.inc.php
- * Code by Strangecode :: www.strangecode.com :: This document contains copyrighted information.
+ * code by strangecode :: www.strangecode.com :: this document contains copyrighted information
+ *
  * @author  Quinn Comendant <quinn@strangecode.com>
  * @version 1.1
